export declare class DataComponent {
    private data;
    private toastr;
    private $http;
    private $q;
    private $scope;
    private $state;
    private $location;
    private $ionicLoading;
    private $timeout;
    private $ionicPopup;
    private $stateParams;
    models: {
        [name: string]: any;
    };
    modelFields: Array<AngularFormly.IFieldConfigurationObject>;
    modelSchema: any;
    optionsTabs: string[];
    optionsTab: string;
    activeModel: any;
    values: any;
    gridApi: any;
    modelValues: any;
    selectedRow: any;
    chartData: any;
    modal: any;
    editor: any;
    codeEditor: any;
    limit: number;
    offset: number;
    order: string;
    loading: boolean;
    query: any[];
    interacted: boolean;
    gridOptions: any;
    modelsList: any[];
    constructor();
    notifySaved(): void;
    editorInit(scope: any): void;
    codeEditorInit(scope: any): void;
    onJsonEditorChange(value: any): void;
    onCodeEditorChange(value: any): void;
    cloneActiveModel(): void;
    /**
     * Hack to submit updates on every keypress.
     * @todo there has to be a better way built-in
     */
    onEditorKeypress(event: Event): void;
    onRowChanged(row: any, toggle?: boolean): void;
    setWatchers(): void;
    promptDeleteModel(name: string, properties: any): void;
    deleteModel(name: string, properties: any): ng.IPromise<{}>;
    saveEditingModel(model?: any, options?: any): any;
    reload(): ng.IPromise<{}>;
    refresh(): ng.IPromise<{}>;
    createNewComponent(options?: any): void;
    showEditModal(properties: any): void;
    fetchModelData(modelName: string): ng.IPromise<void>;
    loadModel(name: string, refresh?: boolean): ng.IPromise<void>;
    downloadCsv(): void;
    getModels(): ng.IPromise<void>;
}
