var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var service_1 = require('../../scripts/decorators/service');
var inject_1 = require('../../scripts/decorators/inject');
var _ = require('lodash');
var Head = (function () {
    function Head() {
        var _this = this;
        // TODO: config.projectName (which comes from pakcage.json)
        this.tagDefaults = {
            description: 'Ionic Boilerplate'
        };
        this.tags = {};
        this.meta = {
            description: 'Ionic Boilerplate',
            viewport: [
                'width=device-width',
                'initial-scale=1.0',
                'maximum-scale=1.0',
                'user-scalable=no'
            ].join()
        };
        this.$rootScope.$on('$locationChangeSuccess', function () {
            _this.resetMetaTags();
        });
    }
    Head.prototype.resetMetaTags = function () {
        // Do something
    };
    Head.prototype.title = function () {
        // TODO: pull from configs
        var title = '';
        if (this.tags.title) {
            title = title + ' | ' + this.tags.title;
        }
        return title;
    };
    Head.prototype.resetTags = function () {
        return this.tags = {};
    };
    // TODO: automatic default of page is header title
    //       or in generator have default "Head.set title: <%= humanName %>"
    Head.prototype.set = function (options) {
        return _.extend(this.tags, options);
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Head.prototype, "$rootScope", void 0);
    Head = __decorate([
        service_1.Service('head'), 
        __metadata('design:paramtypes', [])
    ], Head);
    return Head;
})();
exports.Head = Head;
