import { ObjectUtils } from '../../scripts/constants/utils/object';
import { QueryEditor, IQuery } from './query-editor.service';
export declare class QueryEditorComponent {
    queryEditor: QueryEditor;
    objectUtils: ObjectUtils;
    $scope: angular.IScope;
    query: IQuery[];
    onRun: Function;
    debouncedRun: Function;
    propertyChoices: string[];
    flatModel: {
        [id: string]: any;
    };
    model: any;
    constructor();
    bindWatchers(): void;
    removeQuery(query: IQuery): void;
    addQuery(properties?: IQuery): void;
}
