var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var config_1 = require('../decorators/config');
var inject_1 = require('../decorators/inject');
var CompileConfigs = (function () {
    function CompileConfigs() {
        this.setConfigs();
    }
    /**
     * Set location configs
     */
    CompileConfigs.prototype.setConfigs = function () {
        var env = this.config.env;
        var enableDebugInfo = _.contains(['development', undefined], env);
        // TODO: use config for this with defaults so can be configured
        // per environment
        this.$compileProvider.debugInfoEnabled(enableDebugInfo);
        // Always use this, always helps
        this.$httpProvider.useApplyAsync(true);
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], CompileConfigs.prototype, "$compileProvider", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], CompileConfigs.prototype, "$httpProvider", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], CompileConfigs.prototype, "$provide", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], CompileConfigs.prototype, "config", void 0);
    CompileConfigs = __decorate([
        config_1.Config, 
        __metadata('design:paramtypes', [])
    ], CompileConfigs);
    return CompileConfigs;
})();
exports.CompileConfigs = CompileConfigs;
