var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var config_1 = require('../decorators/config');
var inject_1 = require('../decorators/inject');
var FormlyConfigs = (function () {
    function FormlyConfigs() {
        this.setConfigs();
    }
    /**
     * Set ionic configs
     */
    FormlyConfigs.prototype.setConfigs = function () {
        var config = this.$ionicConfigProvider;
        // Don't use JS scrolling, it is jittery and not smooth
        // feeling on any device. The fallback (using native scrolling)
        // is much better feeling
        config.scrolling.jsScrolling(false);
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], FormlyConfigs.prototype, "$ionicConfigProvider", void 0);
    FormlyConfigs = __decorate([
        config_1.Config, 
        __metadata('design:paramtypes', [])
    ], FormlyConfigs);
    return FormlyConfigs;
})();
exports.FormlyConfigs = FormlyConfigs;
