export declare class NumberUtils {
    /**
     * Pretty format a number.
     *
     * @example
     * numberUtils.prettyFormat(5100000);
     * // returns '5.1M'
     *
     * @param  {number} value Number to convert
     * @return {string}       String of converted number
     */
    prettyFormat(value: number): string;
}
