var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var constant_1 = require('../../decorators/constant');
var NumberUtils = (function () {
    function NumberUtils() {
    }
    /**
     * Pretty format a number.
     *
     * @example
     * numberUtils.prettyFormat(5100000);
     * // returns '5.1M'
     *
     * @param  {number} value Number to convert
     * @return {string}       String of converted number
     */
    NumberUtils.prototype.prettyFormat = function (value) {
        value = Math.abs(value);
        if (value >= 1000000000000) {
            return (value / 1000000000000).toFixed(1) + 'T';
        }
        else if (value >= 1000000000) {
            return (value / 1000000000).toFixed(1) + 'B';
        }
        else if (value >= 1000000) {
            return (value / 1000000).toFixed(1) + 'M';
        }
        else if (value >= 1000) {
            return (value / 1000).toFixed(1) + 'K';
        }
        else if (value < 1 && value > 0) {
            return value.toFixed(2);
        }
        else if (value === 0) {
            return '0';
        }
        else if (value) {
            return value.toFixed(0);
        }
        else {
            return '';
        }
    };
    NumberUtils = __decorate([
        constant_1.Constant('numberUtils', true), 
        __metadata('design:paramtypes', [])
    ], NumberUtils);
    return NumberUtils;
})();
exports.NumberUtils = NumberUtils;
