// TODO: hot: true to component?
// plugins to components?
require('../services/hot-reload');
// TODO: optionally take component name as second argument
exports.HotReload = function (componentModule) {
    var decorator = function (Target) {
        if (!componentModule.hot) {
            return;
        }
        var componentOptions = _.find(Target.annotations, function (item) {
            // TODO: find and copy typesciprt/angular2 annotations
            // format/schema
            return item.type === 'component';
        }) || {};
        var componentName = componentOptions.value.name || componentOptions.value.selector;
        componentModule.hot.accept();
        componentModule.hot.dispose(function () {
            // TODO: setting for this
            if (console && console.clear) {
                console.clear();
            }
            console.info('Webpack reloading');
            location.reload();
            // _.defer(() => {
            //   // TODO: find better way of getting this servicek
            //   angular
            //     .element(document)
            //     .injector()
            //     .get('hotReload')
            //     .reloadComponent(componentName);
            // });
        });
    };
    return decorator;
};
