/**
 * @decorator inject
 *
 * @type {PropertyDecorator}
 *
 * @todo Allow this to take options like @inject('name') so can alias?
 */
export declare const inject: PropertyDecorator;
/**
 * Make a class angular injectable
 *
 * @param {any}     Target
 * @param {boolean} createInstance  Should an instance of this class be created
 *
 * @todo: find a better place for this
 * @todo: make a class or decorator that is subclassed or used on decorator?
 */
export declare const makeInjectable: (Target: any, createInstance?: boolean, bindContext?: boolean) => any[];
