// import '../dependencies/app';
var router_1 = require('../providers/router');
/**
 * @decorator State
 *
 * @todo doc my params, description, and example
 */
exports.State = function (stateConfig) {
    var decorator = function (Target) {
        // Construct the module
        // TODO: config decorator
        angular
            .module('app')
            .config(['routerProvider', function (routerProvider) {
                var componentAnnotation = _.find(Target.annotations, function (annotation) {
                    return annotation.type === 'component';
                });
                if (!stateConfig.component && componentAnnotation) {
                    stateConfig.component = componentAnnotation.value.name;
                }
                router_1.Router.noop();
                // TODO: move router to be a provider
                routerProvider.applyRoute(stateConfig);
            }]);
        return Target;
    };
    return decorator;
};
