var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var directive_1 = require('../decorators/directive');
var NgModelSuffixDirective = (function () {
    function NgModelSuffixDirective() {
        this.restrict = 'A';
        this.require = 'ngModel';
        this.scope = {
            ngModelSuffix: '='
        };
    }
    NgModelSuffixDirective.prototype.link = function (scope, element, attr, ngModel) {
        ngModel.$parsers.push(function (input) {
            return input + (scope.ngModelSuffix || '');
        });
        ngModel.$formatters.push(function (data) {
            if (data === void 0) { data = ''; }
            var regex = new RegExp(_.escapeRegExp(scope.ngModelSuffix) + '$');
            return data.replace(regex, '');
        });
    };
    NgModelSuffixDirective = __decorate([
        directive_1.Directive('ngModelSuffix'), 
        __metadata('design:paramtypes', [])
    ], NgModelSuffixDirective);
    return NgModelSuffixDirective;
})();
exports.NgModelSuffixDirective = NgModelSuffixDirective;
