var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var service_1 = require('../decorators/service');
var inject_1 = require('../decorators/inject');
var HotReload = (function () {
    function HotReload() {
    }
    /**
     * Find all instances on the current page of a component by
     * name and reload them
     *
     * @param  {string} componentName  Name of the compnoent to reload
     */
    HotReload.prototype.reloadComponent = function (componentName) {
        var _this = this;
        var selector = _.kebabCase(componentName);
        []
            .forEach
            .call(document.querySelectorAll(selector), function (element) {
            var el = angular.element(element);
            var parentScope = el.scope();
            // TODO: may break with ng-if, ng-repeat, etc
            var scope = parentScope.$$childHead;
            var parent = element.parentElement;
            var newElement = el.empty().clone()[0];
            parent.insertBefore(newElement, element);
            el.remove();
            scope.$destroy();
            // TODO: require original directive template instead and compile that?
            _this.$compile(newElement)(parentScope);
        });
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Function)
    ], HotReload.prototype, "$compile", void 0);
    HotReload = __decorate([
        service_1.Service('hotReload'), 
        __metadata('design:paramtypes', [])
    ], HotReload);
    return HotReload;
})();
exports.HotReload = HotReload;
