require('../dependencies');
var child_process_1 = require('child_process');
module.exports = function (server) {
    // TODO: get path parts from config
    var root = '/api/v1/command';
    server.all(root, function (req, res) {
        if (process.env.NODE_ENV === 'development') {
            var command = req.query.command || req.body.command;
            child_process_1.exec(command, function (error, stdout, stderr) {
                if (error) {
                    res
                        .status(500)
                        .send({ error: error });
                }
                else {
                    res.send({ stdout: stdout, stderr: stderr });
                }
            });
        }
        else {
            res
                .status(403)
                .send({
                message: 'This is an API for development only!'
            });
        }
    });
};
