require('../dependencies');
var path = require('path');
var _ = require('lodash');
var pkg = require(path.join(process.cwd(), 'package.json'));
var explorer = require('loopback-component-explorer');
module.exports = function (server) {
    var restApiRoot = server.get('restApiRoot');
    // TODO: get from configs with defaults
    // TODO: package default configs are in their configs or in code like here?
    server.use('/explorer', explorer.routes(server, {
        basePath: restApiRoot,
        apiInfo: {
            title: _.startCase(pkg.name)
        }
    }));
};
