require('../dependencies');
var webpack_1 = require('../services/webpack');
module.exports = function () {
    if (process.env.NODE_ENV === 'development' || !process.env.NODE_ENV) {
        return require('webpack-dev-middleware')(webpack_1.compiler, {
            noInfo: true,
            publicPath: webpack_1.config.output.publicPath,
            historyApiFallback: true
        });
    }
    else {
        return function (req, res, next) { return next(); };
    }
};
