var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var service_1 = require('../../scripts/decorators/service');
var inject_1 = require('../../scripts/decorators/inject');
require('angular-formly');
require('angular-formly-templates-ionic');
var Generate = (function () {
    function Generate() {
    }
    Generate.prototype.modelToFormDefinition = function (model) {
        var fields = [];
        var typeMap = {
            string: 'input',
            boolean: 'toggle',
            number: 'input'
        };
        var props = model.properties;
        for (var key in props) {
            var type = props[key].type;
            fields.push({
                key: key,
                type: typeMap[type],
                templateOptions: {
                    label: _.startCase(key),
                    placeholder: type
                }
            });
        }
        return fields;
    };
    Generate.prototype.getModels = function () {
        return this
            .$http
            .get('/api/v1/localFiles/models/files')
            .then(function (response) {
            var data = response.data;
            return data
                .filter(function (file) {
                return !Boolean(file.name.match(/\.js$|local-files/));
            })
                .map(function (file) {
                return _.camelCase(file.name.replace(/\.json$/, ''));
            });
        });
    };
    Generate.prototype.getModel = function (name) {
        return this
            .$http
            .get("/api/v1/localFiles/models/download/" + encodeURIComponent(_.kebabCase(name)) + ".json");
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Function)
    ], Generate.prototype, "$http", void 0);
    Generate = __decorate([
        service_1.Service('generate'), 
        __metadata('design:paramtypes', [])
    ], Generate);
    return Generate;
})();
exports.Generate = Generate;
