var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var config_1 = require('../decorators/config');
var inject_1 = require('../decorators/inject');
var LocationConfigs = (function () {
    function LocationConfigs() {
        this.setConfigs();
    }
    /**
     * Set location configs
     */
    LocationConfigs.prototype.setConfigs = function () {
        var html5Enabled = !(typeof (ionic) !== 'undefined' && (ionic.Platform.isAndroid() || ionic.Platform.isIOS()));
        this.$locationProvider.html5Mode({
            requireBase: false,
            enabled: html5Enabled
        });
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], LocationConfigs.prototype, "$locationProvider", void 0);
    LocationConfigs = __decorate([
        config_1.Config, 
        __metadata('design:paramtypes', [])
    ], LocationConfigs);
    return LocationConfigs;
})();
exports.LocationConfigs = LocationConfigs;
