/**
 * @decorator Factory
 *
 * @description create angular services
 *
 * @param {string} name
 * name of your factory
 *
 * @example
 * ```ts
 * @Factory('abTests')
 * export class AbTests {
 *   @inject str: Str;
 *
 * 	 onstructor() {
 * 	   AbTests.str.dasherize('foo');
 * 	 }
 * }
 * ```
 */
export declare const Factory: (name: string) => void;
