var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var directive_1 = require('../decorators/directive');
var ActiveDirective = (function () {
    function ActiveDirective() {
    }
    // FIXME: why are the argument types not being pulled by angular.IDirective?
    // it's all already defined in the IDirective interface in angular.d.ts
    ActiveDirective.prototype.link = function (scope, element, attrs) {
        scope.$watch(attrs.active, function (newVal) {
            if (newVal) {
                element
                    .addClass('active')
                    .removeClass('not-active');
            }
            else {
                element
                    .addClass('not-active')
                    .removeClass('active');
            }
        });
    };
    ActiveDirective = __decorate([
        directive_1.Directive('active'), 
        __metadata('design:paramtypes', [])
    ], ActiveDirective);
    return ActiveDirective;
})();
exports.ActiveDirective = ActiveDirective;
