var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var directive_1 = require('../decorators/directive');
// TODO: maybe redo this to be one directive
// that for load-animation and bg-load-animation (does bg image
// unless 'img' or 'iframe' tag)
// and instead make it general use
var BgLoadAnimationDirective = (function () {
    function BgLoadAnimationDirective() {
    }
    BgLoadAnimationDirective.prototype.link = function (scope, element, attrs) {
        var className = attrs.bgLoadAnimation || 'fade';
        element.addClass(className);
        _.defer(function () {
            var bgImage = getComputedStyle(element[0]).backgroundImage;
            var img = document.createElement('img');
            angular.element(img).on('load', function () {
                var regex = /url\(["']?(.+?)["']?\)/;
                var match = regex.exec(bgImage);
                img[0].src = match[1];
            });
        });
    };
    BgLoadAnimationDirective = __decorate([
        directive_1.Directive('bgLoadAnimation'), 
        __metadata('design:paramtypes', [])
    ], BgLoadAnimationDirective);
    return BgLoadAnimationDirective;
})();
exports.BgLoadAnimationDirective = BgLoadAnimationDirective;
