var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var directive_1 = require('../decorators/directive');
var EditJsonTextDirective = (function () {
    function EditJsonTextDirective() {
        this.restrict = 'A';
        this.require = 'ngModel';
    }
    EditJsonTextDirective.prototype.link = function (scope, element, attr, ngModel) {
        ngModel.$parsers.push(function (input) {
            return JSON.parse(input);
        });
        ngModel.$formatters.push(function (data) {
            // TODO: configurable indentation
            return JSON.stringify(data, null, 2);
        });
    };
    EditJsonTextDirective = __decorate([
        directive_1.Directive('editJsonText'), 
        __metadata('design:paramtypes', [])
    ], EditJsonTextDirective);
    return EditJsonTextDirective;
})();
exports.EditJsonTextDirective = EditJsonTextDirective;
