var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var directive_1 = require('../decorators/directive');
var Pikaday = require('pikaday/pikaday.js');
var PikadayDirective = (function () {
    function PikadayDirective() {
        this.require = 'ngModel';
        this.rectrict = 'A';
        this.scope = {
            date: '=ngModel'
        };
    }
    PikadayDirective.prototype.link = function (scope, element, attrs, ngModel) {
        var options = {
            field: element[0],
            defaultDate: scope.date,
            format: 'D MMM YYYY' // TODO: get from configs
        };
        _.extend(options, attrs.pikaday ? scope.$parent.$eval(attrs.pikaday) : {});
        var onSelect = options.onSelect;
        options.onSelect = function (date) {
            scope.date = date;
            ngModel.$setViewValue(date);
            if (_.isFunction(onSelect)) {
                onSelect();
            }
            if (!scope.$$phase) {
                scope.$apply();
            }
        };
        var picker = new Pikaday(options);
        scope.$on('$destroy', function () {
            picker.destroy();
        });
    };
    PikadayDirective = __decorate([
        directive_1.Directive('pikaday'), 
        __metadata('design:paramtypes', [])
    ], PikadayDirective);
    return PikadayDirective;
})();
exports.PikadayDirective = PikadayDirective;
