var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var service_1 = require('../decorators/service');
// import { inject }  from '../decorators/inject';
var _ = require('lodash');
var Component = (function () {
    function Component() {
    }
    // @inject
    // private $state: angular.ui.IStateService;
    // @inject
    // private config: any;
    // Helper to get a template for a component by name
    //
    // e.g.
    //   ComponentClass.template 'kitchenSink', title: 'Something'
    //   returns: '<kitchen-sink title="Something"></kitchen-sink>'
    Component.prototype.template = function (name, options) {
        name = _.kebabCase(name);
        var el = document.createElement(name);
        for (var key in options) {
            el.setAttribute(key, options[key]);
        }
        var html = el.outerHTML;
        return html;
    };
    // TODO: move to view.ts service
    Component.prototype.viewTemplate = function (name, options) {
        var template = this.template(name, options);
        var titleName = options && options.title;
        titleName = titleName || _.startCase(name);
        // const states = this.$state.get();
        var thisState = _.find(config.routes, function (state) {
            return state.component === name;
        });
        // TODO: configure in state settings
        var hideNavBar = Boolean(thisState && thisState.hideNavBar);
        return "\n      <ion-view hide-nav-bar=\"" + hideNavBar + "\" title=\"" + titleName + "\">\n        <ion-content>\n          " + template + "\n        </ion-content>\n      </ion-view>\n    ";
    };
    Component = __decorate([
        service_1.Service('component'), 
        __metadata('design:paramtypes', [])
    ], Component);
    return Component;
})();
exports.Component = Component;
