var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var url_1 = require('../constants/utils/url');
var service_1 = require('../decorators/service');
var inject_1 = require('../decorators/inject');
var _ = require('lodash');
var Lazy = (function () {
    function Lazy() {
    }
    Lazy.noop = function () {
        // Do nothing
    };
    // TODO: also allow route alias config (GUI too?)
    Lazy.prototype.load = function (name) {
        var _this = this;
        name = _.kebabCase(name);
        var hash = _.result(__webpack_require__, 'h');
        // TODO: show ionic spinner after 1 second if not loaded yet
        // until loaded
        // TODO: config for public directory prefix
        // TODO: use path instead of just name because could have components
        // of same name across repos
        var pathPrepend = '/';
        // Workaround for lazy loading while in cordova/mobile mode. Components need the full path.
        if (this.$window.ionic && (this.$window.ionic.Platform.isIOS() || this.$window.ionic.Platform.isAndroid())) {
            pathPrepend = this.urlUtils.getAbsolutePathForCordova();
        }
        var loadedPromise = this.$ocLazyLoad.load("" + pathPrepend + name + "-" + hash + ".js");
        this.$ionicLoading.show();
        return loadedPromise.then(function () {
            _this.$ionicLoading.hide();
        });
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Lazy.prototype, "$ocLazyLoad", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Lazy.prototype, "$ionicLoading", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', url_1.UrlUtils)
    ], Lazy.prototype, "urlUtils", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Lazy.prototype, "$window", void 0);
    Lazy = __decorate([
        service_1.Service('lazy'), 
        __metadata('design:paramtypes', [])
    ], Lazy);
    return Lazy;
})();
exports.Lazy = Lazy;
