var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var service_1 = require('../decorators/service');
var inject_1 = require('../decorators/inject');
// TODO: make each component do this instead
var Screen = (function () {
    function Screen() {
        var _this = this;
        this.sizes = {
            sm: 300,
            md: 769,
            lg: 992
        };
        angular
            .element(this.$window)
            .on('resize', function () {
            _this.update();
            // TODO: safe $apply()
        });
    }
    Screen.prototype.update = function () {
        var width = this.$window.innerWidth;
        var _a = this.sizes, sm = _a.sm, md = _a.md;
        if (width <= sm) {
            this.size = 'small';
        }
        else if (width > sm && width < md) {
            this.size = 'medium';
        }
        else {
            this.size = 'large';
        }
        this.sm = this.small = this.size === 'small';
        this.md = this.medium = this.size === 'medium';
        this.lg = this.large = this.size === 'large';
    };
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Screen.prototype, "$rootScope", void 0);
    __decorate([
        inject_1.inject, 
        __metadata('design:type', Object)
    ], Screen.prototype, "$window", void 0);
    Screen = __decorate([
        service_1.Service('screen'), 
        __metadata('design:paramtypes', [])
    ], Screen);
    return Screen;
})();
exports.Screen = Screen;
