import { IUser } from '../../../../common/interfaces/user';
export declare class User {
    private $q;
    $rootScope: angular.IRootScopeService;
    private $cookies;
    private $http;
    private config;
    private ezfb;
    referrer: string;
    data: IUser;
    constructor();
    isLoggedIn: boolean;
    signup(username: string, password: string, options?: any): ng.IPromise<IUser>;
    login(username: string, password: string, options?: any): ng.IPromise<IUser>;
    facebookLogin(): ng.IPromise<{}>;
    googleLogin(): ng.IPromise<{}>;
    private checkLoginApiResponse(response);
    private successfulAuth(response);
    private updateCookie(userData);
    put(newFields: any): ng.IPromise<User>;
    logOut(noReload?: boolean): void;
    forgotPassword(email: string): ng.IHttpPromise<{}>;
    private isValidEmail(email);
}
