require('../dependencies');
var path = require('path');
module.exports = function (staticDir, fileName) {
    if (staticDir === void 0) { staticDir = 'public'; }
    if (fileName === void 0) { fileName = 'index.html'; }
    return function (req, res, next) {
        if (process.env.NODE_ENV === 'development' || !process.env.NODE_ENV) {
            res.redirect('/#' + req.url);
        }
        else {
            res.sendFile('index.html', {
                root: path.join(process.cwd(), staticDir)
            });
        }
    };
};
